Subject: bug#24767: jgraph comments not recognized any more

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2016 09:17:19 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Sat, 22 Oct 2016 17:24:01 -0400
> 
>     % emacs -Q -l .../elpa/packages/jgraph-mode/jgraph-mode.el ~/foo.jgr
>     (* hello *)
> 
> The string "(* hello *)" should be highlighted as a comment, and is
> indeed correctly highlighted this way in Emacs-25 (and Emacs-24), but
> not in "master".
> 
> The particularity of jgraph-mode's handling of (*...*) is that ?(, ?),
> and ?* are given "symbol" syntax, so I guess that src/syntax.c was
> modified in a way which makes it skip the whole (* as being a symbol.

I suspect 9dcf599.  Alan, could you please take a look?

Stefan, I think it would be good to have a test for this in the test
suite, even if for now it will fail.

Thanks.